
Name:          jdo2-api
Version:       2.2
Release:       %mkrel 2
Summary:       Implementation of JSR 243: Java Data Objects 2.0
Group:         Development/Java
License:       ASL 2.0
Url:           http://db.apache.org/jdo/
Source0:       http://svn.apache.org/repos/asf/db/jdo/releases/2.2/dist/db/jdo/2.2/jdo2-api-2.2-src.tar.gz
Source1:       jdo2-api-2.2-build.xml
# from http://repo1.maven.org/maven2/javax/jdo/jdo2-api/2.2/jdo2-api-2.2.pom
# changed javax.transaction transaction-api 1.1 with org.apache.geronimo.specs geronimo-jta_1.1_spec 1.1.1
# fix pom version
Source2:       jdo2-api-2.2-01.pom
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: geronimo-jpa
BuildRequires: geronimo-jta
BuildRequires: junit

Requires:      ant
Requires:      geronimo-jpa
Requires:      geronimo-jta
Requires:      junit

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Java Data Objects (JDO) is a standard way to access persistent data in
databases, using plain old Java objects (POJO) to represent persistent data.
The approach separates data manipulation (done by accessing Java data members
in the Java domain objects) from database manipulation (done by calling the
JDO interface methods). This separation of concerns leads to a high degree of
independence of the Java view of data from the database view of the data.
.
Interfaces are defined for the user's view of persistence:
- PersistenceManager: the component responsible for the life cycle of
  persistent instances, Query factory, and Transaction access
- Query: the component responsible for querying the datastore and returning
  persistent instances or values
- Transaction: the component responsible for initiating and completing
  transactions
.
JDO is being developed as a Java Specification Request in the Java Community
Process. The original JDO 1.0 is JSR-12 http://www.jcp.org/en/jsr/detail?id=12
and the current JDO 2.0 is JSR-243 http://www.jcp.org/en/jsr/detail?id=243 

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains Maven plugin for %{name}

%prep
%setup -q -n %{name}-%{version}

cp -pr %SOURCE1 build.xml

%build
ant jar javadoc
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-%{version}.jar %{buildroot}%{_javadir}

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr  dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE2 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Mon Sep 12 2011 gil <gil> 2.2-2.mga2
+ Revision: 142761
- edit  pom
- added maven2 pom
- imported package jdo2-api

